Package com.creditcall.chipdnamobile

# Class SOAPTransaction

java.lang.Object
com.creditcall.chipdnamobile.SOAPTransaction

Direct Known Subclasses:
  `SOAPExtendedTransaction`

public class SOAPTransaction extends Object
This class contains the details of the transaction.

Author:
  Creditcall Ltd

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getAmount()`
  Gets the amount of the transaction, in xx.xx format.
  `String`
  `getCardDigits()`
  Gets the first six and the last four digits of the card used for transaction.
  `String`
  `getCurrencyAlpha()`
  Gets the currency alpha code of the transaction, as defined in ISO 4217.
  `int`
  `getCurrencyCode()`
  Gets the currency numeric code of the transaction, as defined in ISO 4217.
  `String`
  `getDateAndTimeLocal()`
  Gets the local date and time of the transaction.
  `String`
  `getDateAndTimeUtc()`
  Gets the UTC date and time of the transaction.
  `String`
  `getGUID()`
  Gets the GUID of the transaction.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getGUID

    public String getGUID()
    Gets the GUID of the transaction.
    Returns:
      The GUID of the transaction.

  - ### getDateAndTimeUtc

    public String getDateAndTimeUtc()
    Gets the UTC date and time of the transaction. It is in the "dd/MM/yyyy HH:mm:ss" format.
    Returns:
      The UTC date and time of the transaction.

  - ### getCurrencyAlpha

    public String getCurrencyAlpha()
    Gets the currency alpha code of the transaction, as defined in ISO 4217.
    Returns:
      The currency alpha code of the transaction.

  - ### getCurrencyCode

    public int getCurrencyCode()
    Gets the currency numeric code of the transaction, as defined in ISO 4217.
    Returns:
      The currency numeric code of the transaction.

  - ### getAmount

    public double getAmount()
    Gets the amount of the transaction, in xx.xx format. Refund amounts are in the format -xx.xx.
    Returns:
      The amount of the transaction.

  - ### getCardDigits

    public String getCardDigits()
    Gets the first six and the last four digits of the card used for transaction.
    Returns:
      The first six and the last four digits of the card.

  - ### getDateAndTimeLocal

    public String getDateAndTimeLocal()
    Gets the local date and time of the transaction. It is in the "dd/MM/yyyy HH:mm:ss" format.
    Returns:
      The local date and time of the transaction.